Package com.collibra.dgc.core.api.dto.user

# Class AddUserRequest

Object
AddUserRequest

All Implemented Interfaces:
  `Serializable`

public class AddUserRequest extends Object implements Serializable
The properties of the user to be added.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AddUserRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddUserRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddUserRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<Email>`
  `getAdditionalEmailAddresses()`
  The additional e-mail addresses of the user.
  `List<Address>`
  `getAddresses()`
  The postal addresses of the user.
  `String`
  `getDepartment()`
  The organizational department of the new user.
  `String`
  `getEmailAddress()`
  Required. The e-mail address of the new user.
  `String`
  `getFirstName()`
  The first name of the new user.
  `Gender`
  `getGender()`
  The gender of the user.
  `List<InstantMessagingAccount>`
  `getInstantMessagingAccounts()`
  The instant messaging accounts of the user.
  `String`
  `getLanguage()`
  The language for the user.
  `String`
  `getLastName()`
  The last name of the new user.
  `LicenseType`
  `getLicenseType()`
  Deprecated.
  This method will be removed in the future.
  `List<PhoneNumber>`
  `getPhones()`
  The phone numbers of the user.
  `String`
  `getTitle()`
  The organizational title of the new user.
  `List<UUID>`
  `getUserGroupIds()`
  The groups this newly created user should be added to.
  `String`
  `getUserName()`
  Required. The username, which should be unique.
  `List<Website>`
  `getWebsites()`
  The websites of the user.
  `int`
  `hashCode()`
  `void`
  `setAdditionalEmailAddresses(List<Email> additionalEmailAddresses)`
  The additional e-mail addresses of the user.
  `void`
  `setAddresses(List<Address> addresses)`
  The postal addresses of the user.
  `void`
  `setDepartment(String department)`
  The organizational department of the new user.
  `void`
  `setEmailAddress(String emailAddress)`
  Required. The e-mail address of the new user.
  `void`
  `setFirstName(String firstName)`
  The first name of the new user.
  `void`
  `setGender(Gender gender)`
  The gender of the user.
  `void`
  `setInstantMessagingAccounts(List<InstantMessagingAccount> instantMessagingAccounts)`
  The instant messaging accounts of the user.
  `void`
  `setLanguage(String language)`
  The language for the user.
  `void`
  `setLastName(String lastName)`
  The last name of the new user.
  `void`
  `setLicenseType(LicenseType licenseType)`
  Deprecated.
  This method will be removed in the future.
  `void`
  `setPhones(List<PhoneNumber> phones)`
  The phone numbers of the user.
  `void`
  `setTitle(String title)`
  The organizational title of the new user.
  `void`
  `setUserGroupIds(List<UUID> userGroupIds)`
  The groups this newly created user should be added to.
  `void`
  `setUserName(String userName)`
  Required. The username, which should be unique.
  `void`
  `setWebsites(List<Website> websites)`
  The websites of the user.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddUserRequest

    public AddUserRequest()

- ## Method Details

  - ### builder

    public static AddUserRequest.Builder builder()

  - ### getUserName

    public String getUserName()
    Required. The username, which should be unique.

  - ### getFirstName

    public String getFirstName()
    The first name of the new user.

  - ### getLastName

    public String getLastName()
    The last name of the new user.

  - ### getEmailAddress

    public String getEmailAddress()
    Required. The e-mail address of the new user.

  - ### getGender

    public Gender getGender()
    The gender of the user.

  - ### getTitle

    public String getTitle()
    The organizational title of the new user.

  - ### getDepartment

    public String getDepartment()
    The organizational department of the new user.

  - ### getLanguage

    public String getLanguage()
    The language for the user.

  - ### getUserGroupIds

    public List<UUID> getUserGroupIds()
    The groups this newly created user should be added to.

  - ### getLicenseType

    @Deprecated public LicenseType getLicenseType()
    Deprecated.
    This method will be removed in the future.
    The license type of the user.

  - ### getAddresses

    public List<Address> getAddresses()
    The postal addresses of the user.

  - ### getPhones

    public List<PhoneNumber> getPhones()
    The phone numbers of the user.

  - ### getAdditionalEmailAddresses

    public List<Email> getAdditionalEmailAddresses()
    The additional e-mail addresses of the user.

  - ### getInstantMessagingAccounts

    public List<InstantMessagingAccount> getInstantMessagingAccounts()
    The instant messaging accounts of the user.

  - ### getWebsites

    public List<Website> getWebsites()
    The websites of the user.

  - ### setUserName

    public void setUserName(String userName)
    Required. The username, which should be unique.

  - ### setFirstName

    public void setFirstName(String firstName)
    The first name of the new user.

  - ### setLastName

    public void setLastName(String lastName)
    The last name of the new user.

  - ### setEmailAddress

    public void setEmailAddress(String emailAddress)
    Required. The e-mail address of the new user.

  - ### setGender

    public void setGender(Gender gender)
    The gender of the user.

  - ### setTitle

    public void setTitle(String title)
    The organizational title of the new user.

  - ### setDepartment

    public void setDepartment(String department)
    The organizational department of the new user.

  - ### setLanguage

    public void setLanguage(String language)
    The language for the user.

  - ### setUserGroupIds

    public void setUserGroupIds(List<UUID> userGroupIds)
    The groups this newly created user should be added to.

  - ### setLicenseType

    @Deprecated public void setLicenseType(LicenseType licenseType)
    Deprecated.
    This method will be removed in the future.
    The license type of the user.

  - ### setAddresses

    public void setAddresses(List<Address> addresses)
    The postal addresses of the user.

  - ### setPhones

    public void setPhones(List<PhoneNumber> phones)
    The phone numbers of the user.

  - ### setAdditionalEmailAddresses

    public void setAdditionalEmailAddresses(List<Email> additionalEmailAddresses)
    The additional e-mail addresses of the user.

  - ### setInstantMessagingAccounts

    public void setInstantMessagingAccounts(List<InstantMessagingAccount> instantMessagingAccounts)
    The instant messaging accounts of the user.

  - ### setWebsites

    public void setWebsites(List<Website> websites)
    The websites of the user.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`